
%global meadversion 1.2
%global namedversion 1.2.redhat-9
%global meadalpha .redhat_9
%global meadrel .1
%global serial 16

%bcond_without mead

%bcond_with javadoc

%define maven_version 1.2.redhat-9

Name:           xml-commons-resolver-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        XML Commons Resolver Component
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: xml-resolver-1.2.redhat-9-scm-sources.zip
Source102: xml-resolver-1.2.redhat-9-javadoc.jar
Source103: xml-resolver-1.2.redhat-9.pom
Source104: xml-resolver-1.2.redhat-9.jar
Source105: xml-resolver-1.2.redhat-9-sources.jar
%endif

URL:            http://xerces.apache.org/xml-commons/components/resolver/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/xml-resolver-eap6-%{namedversion}-%{release}-root

%description
xml-commons provides an Apache-hosted set of DOM, SAX, and JAXP interfaces
for use in other xml-based projects. Our hope is that we can standardize on
both a common version and packaging scheme for these critical XML standards
interfaces to make the lives of both our developers and users easier.

%if %with javadoc
%package -n xml-resolver-eap6-javadoc
Summary:        Javadoc for xml-resolver
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n xml-resolver-eap6-javadoc
%{summary}.
%endif

%prep
%setup -q -n xml-commons -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/xml-resolver-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/xml-resolver-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/xml-resolver-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/xml-resolver-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/xml-resolver-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/xml-resolver-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/xml-resolver-eap6-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/xml-resolver-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/xml-resolver-eap6-%{namedversion} -x META-INF/\*
%{__ln_s} xml-resolver-eap6-%{namedversion} %{buildroot}%{_javadocdir}/xml-resolver-eap6
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n xml-commons-resolver-eap6
%defattr(0644,root,root,0755)
%doc KEYS LICENSE NOTICE README.txt
%{_javadir}/%{name}/xml-resolver-%{namedversion}.jar
%{_javadir}/%{name}/xml-resolver.jar
%exclude %{_javadir}/%{name}/xml-resolver-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/xml-resolver-javadoc.jar
%{_javadir}/%{name}/xml-resolver-%{namedversion}-sources.jar
%{_javadir}/%{name}/xml-resolver-sources.jar

%if %with javadoc
%files -n xml-resolver-eap6-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/xml-resolver-eap6-%{namedversion}
%{_javadocdir}/xml-resolver-eap6
%{_javadir}/%{name}/xml-resolver-%{namedversion}-javadoc.jar
%{_javadir}/%{name}/xml-resolver-javadoc.jar
%endif

%changelog
* Wed Sep 18 2013 David Walluck <dwalluck@redhat.com> 0:1.2-16
- exclude javadoc

* Thu Sep 12 2013 David Walluck <dwalluck@redhat.com> 0:1.2-12
- convert to MEAD

* Mon May 06 2013 David Walluck <dwalluck@redhat.com> 0:1.2-11.redhat_4
- add osgi info as patch as to not replace original manifest (fixes bz#959965)
- remove bad Obsoletes and Requires from main package
- fix bad filename for maven depmap which was an unexpanded macro
- fix/remove bad macro defintition(s)
- switch patches to -p1
- simplify classpath in scripts
- update BuildRequires
- improve file lists
- update parent pom from apache-7-redhat-2 to apache-8.redhat-1

* Tue Apr 23 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.2-10.redhat_3.4
- BZ-901103

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2-10.redhat_2.3
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2-10.redhat_1.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2-10.redhat_1.1
- Rebuild using cache signing

* Fri May 25 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.2-10.redhat_1
- Install same resolver.jar in main and repolib packages

* Fri May 11 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.2-9.redhat_1
- Copy files to repolib instead of using deploy

* Tue Apr 10 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.2-8_redhat_1.3
- Install only jars in main package

* Thu Apr 05 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.2-8_redhat_1.2
- Rebuild with a -eap6 suffix to avoid conflict with RHEL-6 base

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.2-8._redhat_1.1.1
- Rebuild using cache signing

* Tue Feb 14 2012 David Walluck <dwalluck@redhat.com> 0:1.2-8.1
- Do not require JAXP at run-time (provided)

* Wed Feb 01 2012 David Walluck <dwalluck@redhat.com> 0:1.2-7.2
- add workaround for mvn-jpp bug

* Wed Feb 01 2012 David Walluck <dwalluck@redhat.com> 0:1.2-7.1
- add vman patch
- add repolib
- add versioned javadoc dir
- fix jar versions
- move some logic from build to prep
- add BuildRoot and fix macro
- set defattr
- Obsoletes: xml-commons-resolver12

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 3 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.2-6
- Fix merge review comments (bug#226564).

* Wed Nov 3 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.2-5
- Add missing zip BR.
- Remove perl and dos2unix usage.
- Fix license - ASL 2.0 now.

* Fri Sep 24 2010 Mat Booth <fedora@matbooth.co.uk> 0:1.2-4
- Forgot to actually install a jar with a name that maven users expect.

* Sun Sep 19 2010 Mat Booth <fedora@matbooth.co.uk> 0:1.2-3
- Install a maven pom and depmap.

* Wed Apr 7 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.2-2
- No need to require jaxp_parser_impl now that we require java 1.5 or newer.

* Fri Mar 5 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.2-1
- Update to 1.2.
- Drop gcj_support.

* Mon Jan 11 2010 Andrew Overholt <overholt@redhat.com> 0:1.1-4.17
- Fix Group tags
- Remove '.' at end of Summary
- Add dos2unix BR and fix line endings
- Use upstream tarball

* Sat Aug  8 2009 Ville Skyttä <ville.skytta at iki.fi> - 0:1.1-4.16
- Fix specfile UTF-8 encoding.

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.1-4.15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.1-3.15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 30 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.1-2.15
- Install osgi manifest for eclipse-dtp

* Fri Sep 05 2008 Deepak Bhole <dbhole@redhat.com> 1.1-2.14
- Build with IcedTea to escape sinjdoc issues

* Thu Jul 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:1.1-2.13
- drop repotag
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0:1.1-2jpp.12
- Autorebuild for GCC 4.3

* Thu Aug 10 2006 Deepak Bhole <dbhole@redhat.com> 1.1-1jpp.12
- Added missing dependencies.

* Sat Jul 22 2006 Jakub Jelinek <jakub@redhat.com> - 0:1.1-1jpp_11fc
- Rebuilt

* Fri Jul 21 2006 Deepak Bhole <dbhole@redhat.com> - 0:1.1-1jpp_10fc
- Added conditional native compilation.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0:1.1-1jpp_9fc
- rebuild

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 0:1.1-1jpp_8fc
- stop scriptlet spew

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> 0:1.1-1jpp_7fc
- rebuilt again

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> 0:1.1-1jpp_6fc
- rebuilt

* Tue Jun 28 2005 Gary Benson <gbenson@redhat.com> 0:1.1-1jpp_5fc
- Remove jarfile from the tarball.

* Thu Nov  4 2004 Gary Benson <gbenson@redhat.com> 0:1.1-1jpp_4fc
- Build into Fedora.

* Thu Oct 28 2004 Gary Benson <gbenson@redhat.com> 0:1.1-1jpp_3fc
- Bootstrap into Fedora.

* Thu Mar  4 2004 Frank Ch. Eigler <fche@redhat.com> 0:1.1-1jpp_2rh
- RH vacuuming part II

* Wed Mar  3 2004 Frank Ch. Eigler <fche@redhat.com> 0:1.1-1jpp_1rh
- RH vacuuming

* Wed Jan 21 2004 David Walluck <david@anti-microsoft.org> 0:1.1-1jpp
- 1.1
- use perl instead of patch
- don't build docs (build fails)

* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.0-2jpp
- update for JPackage 1.5

* Wed Nov 13 2002 Ville Skyttä <ville.skytta at iki.fi> - 1.0-1jpp
- Follow upstream changes, split out of xml-commons.
